import { Comparator } from '../types';
export interface Map<K, V> {
    insert(key: K, value: V): void;
    find(key: K): V | undefined;
    delete(key: K): void;
    clear(): void;
    empty(): boolean;
    size(): number;
}
export declare class Map<K, V> implements Map<K, V> {
    private rbTree;
    constructor(comparator?: Comparator<K>);
}
