export interface PriorityQueue<T> {
    push(element: T, priority: number): void;
    pop(): T | undefined;
    front(): T | undefined;
    empty(): boolean;
    size(): number;
    clear(): void;
}
export declare class PriorityQueue<T> implements PriorityQueue<T> {
    private items;
    constructor();
}
