import { Comparator } from '../types';
export interface Set<T> {
    insert(element: T): void;
    remove(element: T): void;
    find(element: T): boolean;
    empty(): boolean;
    size(): number;
    clear(): void;
}
export declare class Set<T> implements Set<T> {
    private bst;
    constructor(comparator?: Comparator<T>);
}
